/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <curses.h>
#include <gpxe/sf_widgets.h>

int sf_window_run ( struct sf_widget *this __unused, int key __unused ) { return 0; }
int sf_button_run ( struct sf_widget *this __unused, int key __unused ) { return 0; }
int sf_editbox_run ( struct sf_widget *this __unused, int key __unused ) { return 0; }
int sf_checkbox_run ( struct sf_widget *this __unused, int key __unused ) { return 0; }
int sf_combo_run ( struct sf_widget *this __unused, int key __unused ) { return 0; }
int sf_list_run ( struct sf_widget *this __unused, int key __unused ) {	return 0; }

void sf_window_draw ( struct sf_widget *this __unused ) { };
void sf_button_draw ( struct sf_widget *this __unused ) { };
void sf_editbox_draw ( struct sf_widget *this __unused ) { };
void sf_checkbox_draw ( struct sf_widget *this __unused ) { };
void sf_combo_draw ( struct sf_widget *this __unused ) { };
void sf_text_draw ( struct sf_widget *this __unused ) { };
void sf_info_draw ( struct sf_widget *this __unused ) { };
void sf_list_draw ( struct sf_widget *this __unused ) { };

void sf_window_scroll ( sf_widget *this __unused, int delta __unused ) { };
void sf_editbox_scroll ( sf_widget *this __unused, int delta __unused ) { };
void sf_list_scroll ( sf_widget *this __unused, int delta __unused ) { };

void sf_editbox_set_cursor ( sf_editbox *box __unused ) { };

int sf_dialog ( sf_widget **dialog __unused, const char *title __unused,
		enum sf_dialog_type dialog_type __unused, int width __unused, int height __unused,
		const char **lines __unused, unsigned int line_count __unused )
{ return 0; };

void sf_window_prepare ( sf_widget *this ) {
	sf_widget *w;

	for ( w = this->next; w != this; w = w->next ) {
		if ( w->type == SFW_CHECKBOX || w->type == SFW_COMBO )
			sf_widget_action ( w );

		sf_widget_draw ( w );
	}
}

