/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_SHA1_H
#define _GPXE_SHA1_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include "crypto/axtls/crypto.h"

struct crypto_algorithm;

#define SHA1_CTX_SIZE sizeof ( SHA1_CTX )
#define SHA1_DIGEST_SIZE SHA1_SIZE

extern struct crypto_algorithm sha1_algorithm;

#endif /* _GPXE_SHA1_H */
